from FatxFast.gui.containerwidget import ContainerWidget
from FatxFast.gui.textwidget import TextWidget

class Frame(ContainerWidget):

    def __init__(self, game, **kwargs):
        self.game = game
        super(Frame, self).__init__(**kwargs)

    def fetch_template(self, name):
        return self.game.manager.sceneparser.templates[name].copy()

    def create_text(self, new_attr, template="gametext"):
        attr = self.fetch_template(template)
        a = self.game.manager.sceneparser.override_attributes(attr, new_attr)
        text = TextWidget(**a)
        self.add_widget(text.name, text)
        return text

